#include <iostream>
#include <algorithm>

using namespace std;

struct vaga{
    long long minn, maxx;
    int indeks;
};

struct pitanje{
    int l, r;
    long long x;
};



int n, m;
vaga vage[200001];
pitanje pitanja[200001];
int main()
{
    int br=0;
    cin>>n>>m;
    for(int i=0;i<n;i++){
        cin>>vage[i].minn>>vage[i].maxx;
        vage[i].indeks=i;
    }
    for(int i=0;i<m;i++) cin>>pitanja[i].l>>pitanja[i].r>>pitanja[i].x;
    for(int i=0; i<m;i++){
            br=0;
        for(int j=pitanja[i].l;j<=pitanja[i].r;j++){
            if((vage[j].minn<=pitanja[i].x) && (vage[j].maxx>=pitanja[i].x))br++;
        }
        cout<<br<<endl;
    }
    return 0;
}